| Jabber Guest iOS SDK

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Instance Methods | Class Methods | Protected Types | Properties | List of all members
CJGuestCallBarView Class Reference

The CJGuestCallBarView custom view. More...

`#import <CJGuestCallBarView.h>`

Inherits UIView.

## Instance Methods
(id) | - initWithOrigin:
| Initializes the view at the origin coordinates. More...
(id) | - initWithOrigin:mask:
| Initializes the view at the origin coordinates and with a chosen set of buttons. More...

## Class Methods
(NSString *) | + stringFromGuestCallBarButton:
| Helper method to provide the string representation of the CJGuestCallBarButtonType. More...
(CGSize) | + callBarButtonSize
| Helper method to return the height and width of a single button that can be used to calculate the size of the call bar before creating an instance. More...

## Protected Types
enum | CJGuestCallBarButtonOption { GuestCallBarButtonOptionAudioMute = 1 << 0, GuestCallBarButtonOptionVideoMute = 1 << 1, GuestCallBarButtonOptionKeypad = 1 << 2, GuestCallBarButtonOptionHook = 1 << 3 }
| Enumeration bitmap describing the button types of the view. More...
enum | CJGuestCallBarButtonType { GuestCallBarButtonAudioMute, GuestCallBarButtonVideoMute, GuestCallBarButtonKeypad, GuestCallBarButtonHook }
| Enumeration describing the button types of the view. More...

## Properties
id | delegate
| The delegate that implements the CJGuestCallBarViewDelegate protocol.
id | keypadDelegate
| The keypad delegate that implements the CJGuestCallKeypadViewDelegate protocol.
CJGuestCallBarButtonOption | buttonMask
| Bitmask defining which buttons appear in the view.
BOOL | keypadOpen
| Checks the CJGuestCallBarView to determine if there is an active KeypadView visible.
BOOL | useDefaultKeypad
| Sets the CJGuestCallBarView to use its default keypad view. More...
BOOL | playKeypadTones
| Controls whether the keypad view will play a tone with each keypad button press. More...

## Detailed Description

The CJGuestCallBarView custom view.

## Member Enumeration Documentation

- (enum) CJGuestCallBarButtonOption
| protected

Enumeration bitmap describing the button types of the view.

Enumerator
GuestCallBarButtonOptionAudioMute | Option to show the audio mute toggle button on the call bar view.
GuestCallBarButtonOptionVideoMute | Option to show the video mute toggle button on the call bar view.
GuestCallBarButtonOptionKeypad | Option to show the keypad button on the call bar view.
GuestCallBarButtonOptionHook | Option to show the call/end call button on the call bar view.

- (enum) CJGuestCallBarButtonType
| protected

Enumeration describing the button types of the view.

Enumerator
GuestCallBarButtonAudioMute | Defines the button for muting/un-muting audio.
GuestCallBarButtonVideoMute | Defines the button for muting/un-muting video.
GuestCallBarButtonKeypad | Defines the button to activate the keypad view.
GuestCallBarButtonHook | Defines the button for starting/ending a call.

## Method Documentation

+ (CGSize) callBarButtonSize |  |  |

Helper method to return the height and width of a single button that can be used to calculate the size of the call bar before creating an instance.

These values vary by device.

- (id) initWithOrigin: |  | (CGPoint) | origin |

Initializes the view at the origin coordinates.

The view is fixed to a specific size. Attempting to create or re-set the view to a different size may result in undesired behavior.

Parameters

  origin | The x/y coordinates to present the view.

- (id) initWithOrigin: |  | (CGPoint) | origin
mask: |  | (CJGuestCallBarButtonOption) | mask

Initializes the view at the origin coordinates and with a chosen set of buttons.

The view is fixed to a specific size. Attempting to create or re-set the view to a different size may result in undesired behavior.

Parameters

  origin | The x/y coordinates to present the view.
  mask | CJGuestCallBarButtonOption bitmap defining which buttons to create.

+ (NSString *) stringFromGuestCallBarButton: |  | (CJGuestCallBarButtonType) | type |

Helper method to provide the string representation of the CJGuestCallBarButtonType.

Parameters

  type | The button type.

Returns
  NSString String representation of the button type.

## Property Documentation

- (BOOL) playKeypadTones
| read write nonatomic assign

Controls whether the keypad view will play a tone with each keypad button press.

- true(default) - Play tones with each keypad button press.
- false - Do not play tones with each keypad button press.

- (BOOL) useDefaultKeypad
| read write nonatomic assign

Sets the CJGuestCallBarView to use its default keypad view.

Use the CJGuestCallBarViewDelegate to know when the keypad button us clicked